Get communication preferences for a client
X-Api-Key<token>
Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.
In: header
Path Parameters
clientId*string
Client UUID
Response Body
application/json
curl -X GET "https://example.com/crm/communication/string/preferences"{ "id": "string", "businessId": "string", "clientId": "string", "preferredChannel": "email", "doNotContact": true, "doNotEmail": true, "doNotSms": true, "doNotWhatsapp": true, "doNotCall": true, "bestTimeToContact": "string", "notes": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}
